SYSINST(8)

NAME
sysinst - install or upgrade a NetBSD system

SYNOPSIS
sysinst [-Dp] [-C bg:fg] [-f definition_file] [-m message_catalog_dir]

DESCRIPTION
sysinst is a menu-based program that may be used to install or upgrade a NetBSD system. It is usually invoked automatically when the system is booted from appropriate installation media.

The following options are available:

-C bg:fg
    Use the ansi colors (see <curses.h>) bg as background (default: 4 for blue) and fg as foreground/text color (default: 7 for white).

-D  Switch on debugging.

-f definition_file
    Use definition_file as a file for definitions other than the defaults. See the DEFINITION FILE section for its format.

-m message_catalog_dir
    Search for available language files in message_catalog_dir. If this argument is missing and there are sysinstmsgs.* files in the current directory, those are used. If no such files are found, a compiled in default catalog directory is used.

-p  Start the extended partition editor instead of the installer. This option is not available on some versions compiled for space limited install media.

DEFINITION FILE
A definition file can be used with sysinst to control several aspects of the installation or upgrade process. Options can be stored within the file as
    option = value
pairs. Options include the following, shown with their defaults as well as a description “(REL” and “MACH” are the release and architecture respectively, as determined by the image sysinst is used on):
option name | default value | description
machine | MACH | Machine architecture
xfer dir | /usr/INSTALL | Transfer dir
ext dir | | Extract dir (will usually be set later on)
ftp host | ftp.NetBSD.org | FTP host for fetching files
ftp dir | pub/NetBSD/NetBSD-REL | FTP directory for fetching files
ftp prefix | /MACH/binary/sets | Directory to look for sets,
used for all methods of fetching (i.e., not just FTP)
ftp user | ftp | FTP user for connecting
ftp pass | - | FTP password
ftp proxy | - | FTP proxy
nfs host | - | NFS host for fetching via NFS
nfs dir | /bsd/release | NFS directory for fetching files
cd dev | cd0a | Name of CD device for fetching files
fd dev | /dev/fd0a | Name of floppy device for fetching files
local dev | - | Other device to be mounted for fetching files
local fs | ffs | File system type for local device
local dir | release | Directory to look for in the mounted local file system
targetroot mount | /targetroot | Directory to mount target root dir to
dist postfix | .tgz | Suffix of set files to be extracted
diskname | mydisk | disktab(5) diskname to use for target disk

SEE ALSO
release(7), afterboot(8), boot(8), diskless(8)

<machine>/INSTALL.* files on CD-ROM installation media .../NetBSD-<rel>/<machine>/INSTALL.* files in NetBSD releases or snapshots.

The default message catalog files are installed in /usr/share/sysinst/catalog.

HISTORY
A sysinst command appeared in NetBSD 1.3.